#!/usr/bin/perl -w -I/usr/sausalito/perl -I.

# Author: Kevin K.M. Chiu
# Copyright 2000, Cobalt Networks.  All rights reserved.
# $Id: 40_getSerialNumber.pl,v 1.2 2000/09/26 03:40:30 thockin Exp $

use strict;
use CCE;

my $cce = new CCE;
$cce->connectuds();

# check if System object exist
my (@oids) = $cce->find("System");
if($#oids < 0) {
    $cce->bye();
    exit 1;
}

# read hw serial number
my $openOk = open(SERIAL, "</proc/serialnumber");
if(!$openOk) {
    $cce->bye();
    exit 1;
}
my $hwSerialNumber = <SERIAL>;
chomp($hwSerialNumber);
close(SERIAL);

# read product serial number
my $productSerialNumber = `/usr/sbin/cmos -c serialnum`;
chomp($productSerialNumber);

# set
my ($success) = $cce->set($oids[0], "", { 
	serialNumber => $hwSerialNumber, 
	productSerialNumber => $productSerialNumber
});

$cce->bye();

# failed?
if(!$success) {
    exit 1;
}

exit 0;
